<?xml version="1.0" encoding="utf-8"?>
<errors>
  <usererrors>
  </usererrors>
  <systemerrors>
    <systemerror>
      <message>INSERT 语句与 COLUMN FOREIGN KEY 约束 'FK_siteserver_UserPermissionsInUserGroups_UserGroup' 冲突。该冲突发生于数据库 'ssdev'，表 'bairong_UserGroup', column 'UserGroupID'。
语句已终止。</message>
      <stacktrace>   在 System.Data.SqlClient.SqlConnection.OnError(SqlException exception, Boolean breakConnection)
   在 System.Data.SqlClient.SqlInternalConnection.OnError(SqlException exception, Boolean breakConnection)
   在 System.Data.SqlClient.TdsParser.ThrowExceptionAndWarning(TdsParserStateObject stateObj)
   在 System.Data.SqlClient.TdsParser.Run(RunBehavior runBehavior, SqlCommand cmdHandler, SqlDataReader dataStream, BulkCopySimpleResultSet bulkCopyHandler, TdsParserStateObject stateObj)
   在 System.Data.SqlClient.SqlCommand.FinishExecuteReader(SqlDataReader ds, RunBehavior runBehavior, String resetOptionsString)
   在 System.Data.SqlClient.SqlCommand.RunExecuteReaderTds(CommandBehavior cmdBehavior, RunBehavior runBehavior, Boolean returnStream, Boolean async)
   在 System.Data.SqlClient.SqlCommand.RunExecuteReader(CommandBehavior cmdBehavior, RunBehavior runBehavior, Boolean returnStream, String method, DbAsyncResult result)
   在 System.Data.SqlClient.SqlCommand.InternalExecuteNonQuery(DbAsyncResult result, String methodName, Boolean sendToPipe)
   在 System.Data.SqlClient.SqlCommand.ExecuteNonQuery()
   在 BaiRong.Core.Data.Helper.AdoHelper.ExecuteNonQuery(IDbCommand command) 位置 S:\BaiRong Components\BaiRong.Core\Data\Helper\ADOHelper.cs:行号 939
   在 BaiRong.Core.Data.Helper.AdoHelper.ExecuteNonQuery(IDbTransaction transaction, CommandType commandType, String commandText, IDataParameter[] commandParameters) 位置 S:\BaiRong Components\BaiRong.Core\Data\Helper\ADOHelper.cs:行号 1187
   在 BaiRong.Core.Data.Provider.DataProviderBase.ExecuteNonQuery(IDbTransaction trans, String commandText, IDataParameter[] commandParameters) 位置 S:\BaiRong Components\BaiRong.Core\Data\Provider\DataProviderBase.cs:行号 247
   在 SiteServer.Provider.Data.SqlServer.PagePermissionsInUserGroupsDAO.InsertWithTrans(PagePermissionsInUserGroupsInfo info, IDbTransaction trans) 位置 S:\SiteServer\SiteServer.Provider\Data\SqlServer\UserRole\PagePermissionsInUserGroupsDAO.cs:行号 40
   在 SiteServer.Provider.Data.SqlServer.PermissionsDAO.SavePagePermissions(Int32 nodeID, SortedList userGroupIDWithPagePermissions) 位置 S:\SiteServer\SiteServer.Provider\Data\SqlServer\UserRole\PermissionsDAO.cs:行号 161
   在 SiteServer.BackgroundPages.BackgroundChannelEdit.Submit_OnClick(Object sender, EventArgs E) 位置 S:\SiteServer\SiteServer.BackgroundPages\Background\Channel\BackgroundChannelEdit.cs:行号 442</stacktrace>
      <errortime>2009-5-27 10:14:16</errortime>
    </systemerror>
    <systemerror>
      <message>INSERT 语句与 COLUMN FOREIGN KEY 约束 'FK_siteserver_UserPermissionsInUserGroups_UserGroup' 冲突。该冲突发生于数据库 'ssdev'，表 'bairong_UserGroup', column 'UserGroupID'。
语句已终止。</message>
      <stacktrace>   在 System.Data.SqlClient.SqlConnection.OnError(SqlException exception, Boolean breakConnection)
   在 System.Data.SqlClient.SqlInternalConnection.OnError(SqlException exception, Boolean breakConnection)
   在 System.Data.SqlClient.TdsParser.ThrowExceptionAndWarning(TdsParserStateObject stateObj)
   在 System.Data.SqlClient.TdsParser.Run(RunBehavior runBehavior, SqlCommand cmdHandler, SqlDataReader dataStream, BulkCopySimpleResultSet bulkCopyHandler, TdsParserStateObject stateObj)
   在 System.Data.SqlClient.SqlCommand.FinishExecuteReader(SqlDataReader ds, RunBehavior runBehavior, String resetOptionsString)
   在 System.Data.SqlClient.SqlCommand.RunExecuteReaderTds(CommandBehavior cmdBehavior, RunBehavior runBehavior, Boolean returnStream, Boolean async)
   在 System.Data.SqlClient.SqlCommand.RunExecuteReader(CommandBehavior cmdBehavior, RunBehavior runBehavior, Boolean returnStream, String method, DbAsyncResult result)
   在 System.Data.SqlClient.SqlCommand.InternalExecuteNonQuery(DbAsyncResult result, String methodName, Boolean sendToPipe)
   在 System.Data.SqlClient.SqlCommand.ExecuteNonQuery()
   在 BaiRong.Core.Data.Helper.AdoHelper.ExecuteNonQuery(IDbCommand command) 位置 S:\BaiRong Components\BaiRong.Core\Data\Helper\ADOHelper.cs:行号 939
   在 BaiRong.Core.Data.Helper.AdoHelper.ExecuteNonQuery(IDbTransaction transaction, CommandType commandType, String commandText, IDataParameter[] commandParameters) 位置 S:\BaiRong Components\BaiRong.Core\Data\Helper\ADOHelper.cs:行号 1187
   在 BaiRong.Core.Data.Provider.DataProviderBase.ExecuteNonQuery(IDbTransaction trans, String commandText, IDataParameter[] commandParameters) 位置 S:\BaiRong Components\BaiRong.Core\Data\Provider\DataProviderBase.cs:行号 247
   在 SiteServer.Provider.Data.SqlServer.PagePermissionsInUserGroupsDAO.InsertWithTrans(PagePermissionsInUserGroupsInfo info, IDbTransaction trans) 位置 S:\SiteServer\SiteServer.Provider\Data\SqlServer\UserRole\PagePermissionsInUserGroupsDAO.cs:行号 40
   在 SiteServer.Provider.Data.SqlServer.PermissionsDAO.SavePagePermissions(Int32 nodeID, SortedList userGroupIDWithPagePermissions) 位置 S:\SiteServer\SiteServer.Provider\Data\SqlServer\UserRole\PermissionsDAO.cs:行号 161
   在 SiteServer.BackgroundPages.BackgroundChannelEdit.Submit_OnClick(Object sender, EventArgs E) 位置 S:\SiteServer\SiteServer.BackgroundPages\Background\Channel\BackgroundChannelEdit.cs:行号 442</stacktrace>
      <errortime>2009-5-27 10:17:48</errortime>
    </systemerror>
    <systemerror>
      <message>INSERT 语句与 COLUMN FOREIGN KEY 约束 'FK_siteserver_UserPermissionsInUserGroups_UserGroup' 冲突。该冲突发生于数据库 'ssdev'，表 'bairong_UserGroup', column 'UserGroupID'。
语句已终止。</message>
      <stacktrace>   在 System.Data.SqlClient.SqlConnection.OnError(SqlException exception, Boolean breakConnection)
   在 System.Data.SqlClient.SqlInternalConnection.OnError(SqlException exception, Boolean breakConnection)
   在 System.Data.SqlClient.TdsParser.ThrowExceptionAndWarning(TdsParserStateObject stateObj)
   在 System.Data.SqlClient.TdsParser.Run(RunBehavior runBehavior, SqlCommand cmdHandler, SqlDataReader dataStream, BulkCopySimpleResultSet bulkCopyHandler, TdsParserStateObject stateObj)
   在 System.Data.SqlClient.SqlCommand.FinishExecuteReader(SqlDataReader ds, RunBehavior runBehavior, String resetOptionsString)
   在 System.Data.SqlClient.SqlCommand.RunExecuteReaderTds(CommandBehavior cmdBehavior, RunBehavior runBehavior, Boolean returnStream, Boolean async)
   在 System.Data.SqlClient.SqlCommand.RunExecuteReader(CommandBehavior cmdBehavior, RunBehavior runBehavior, Boolean returnStream, String method, DbAsyncResult result)
   在 System.Data.SqlClient.SqlCommand.InternalExecuteNonQuery(DbAsyncResult result, String methodName, Boolean sendToPipe)
   在 System.Data.SqlClient.SqlCommand.ExecuteNonQuery()
   在 BaiRong.Core.Data.Helper.AdoHelper.ExecuteNonQuery(IDbCommand command) 位置 S:\BaiRong Components\BaiRong.Core\Data\Helper\ADOHelper.cs:行号 939
   在 BaiRong.Core.Data.Helper.AdoHelper.ExecuteNonQuery(IDbTransaction transaction, CommandType commandType, String commandText, IDataParameter[] commandParameters) 位置 S:\BaiRong Components\BaiRong.Core\Data\Helper\ADOHelper.cs:行号 1187
   在 BaiRong.Core.Data.Provider.DataProviderBase.ExecuteNonQuery(IDbTransaction trans, String commandText, IDataParameter[] commandParameters) 位置 S:\BaiRong Components\BaiRong.Core\Data\Provider\DataProviderBase.cs:行号 247
   在 SiteServer.Provider.Data.SqlServer.PagePermissionsInUserGroupsDAO.InsertWithTrans(PagePermissionsInUserGroupsInfo info, IDbTransaction trans) 位置 S:\SiteServer\SiteServer.Provider\Data\SqlServer\UserRole\PagePermissionsInUserGroupsDAO.cs:行号 40
   在 SiteServer.Provider.Data.SqlServer.PermissionsDAO.SavePagePermissions(Int32 nodeID, SortedList userGroupIDWithPagePermissions) 位置 S:\SiteServer\SiteServer.Provider\Data\SqlServer\UserRole\PermissionsDAO.cs:行号 161
   在 SiteServer.BackgroundPages.BackgroundChannelEdit.Submit_OnClick(Object sender, EventArgs E) 位置 S:\SiteServer\SiteServer.BackgroundPages\Background\Channel\BackgroundChannelEdit.cs:行号 442</stacktrace>
      <errortime>2009-5-27 10:18:48</errortime>
    </systemerror>
    <systemerror>
      <message>INSERT 语句与 COLUMN FOREIGN KEY 约束 'FK_siteserver_UserPermissionsInUserGroups_UserGroup' 冲突。该冲突发生于数据库 'ssdev'，表 'bairong_UserGroup', column 'UserGroupID'。
语句已终止。</message>
      <stacktrace>   在 System.Data.SqlClient.SqlConnection.OnError(SqlException exception, Boolean breakConnection)
   在 System.Data.SqlClient.SqlInternalConnection.OnError(SqlException exception, Boolean breakConnection)
   在 System.Data.SqlClient.TdsParser.ThrowExceptionAndWarning(TdsParserStateObject stateObj)
   在 System.Data.SqlClient.TdsParser.Run(RunBehavior runBehavior, SqlCommand cmdHandler, SqlDataReader dataStream, BulkCopySimpleResultSet bulkCopyHandler, TdsParserStateObject stateObj)
   在 System.Data.SqlClient.SqlCommand.FinishExecuteReader(SqlDataReader ds, RunBehavior runBehavior, String resetOptionsString)
   在 System.Data.SqlClient.SqlCommand.RunExecuteReaderTds(CommandBehavior cmdBehavior, RunBehavior runBehavior, Boolean returnStream, Boolean async)
   在 System.Data.SqlClient.SqlCommand.RunExecuteReader(CommandBehavior cmdBehavior, RunBehavior runBehavior, Boolean returnStream, String method, DbAsyncResult result)
   在 System.Data.SqlClient.SqlCommand.InternalExecuteNonQuery(DbAsyncResult result, String methodName, Boolean sendToPipe)
   在 System.Data.SqlClient.SqlCommand.ExecuteNonQuery()
   在 BaiRong.Core.Data.Helper.AdoHelper.ExecuteNonQuery(IDbCommand command) 位置 S:\BaiRong Components\BaiRong.Core\Data\Helper\ADOHelper.cs:行号 939
   在 BaiRong.Core.Data.Helper.AdoHelper.ExecuteNonQuery(IDbTransaction transaction, CommandType commandType, String commandText, IDataParameter[] commandParameters) 位置 S:\BaiRong Components\BaiRong.Core\Data\Helper\ADOHelper.cs:行号 1187
   在 BaiRong.Core.Data.Provider.DataProviderBase.ExecuteNonQuery(IDbTransaction trans, String commandText, IDataParameter[] commandParameters) 位置 S:\BaiRong Components\BaiRong.Core\Data\Provider\DataProviderBase.cs:行号 247
   在 SiteServer.Provider.Data.SqlServer.PagePermissionsInUserGroupsDAO.InsertWithTrans(PagePermissionsInUserGroupsInfo info, IDbTransaction trans) 位置 S:\SiteServer\SiteServer.Provider\Data\SqlServer\UserRole\PagePermissionsInUserGroupsDAO.cs:行号 40
   在 SiteServer.Provider.Data.SqlServer.PermissionsDAO.SavePagePermissions(Int32 nodeID, SortedList userGroupIDWithPagePermissions) 位置 S:\SiteServer\SiteServer.Provider\Data\SqlServer\UserRole\PermissionsDAO.cs:行号 161
   在 SiteServer.BackgroundPages.BackgroundChannelEdit.Submit_OnClick(Object sender, EventArgs E) 位置 S:\SiteServer\SiteServer.BackgroundPages\Background\Channel\BackgroundChannelEdit.cs:行号 442</stacktrace>
      <errortime>2009-5-27 10:19:06</errortime>
    </systemerror>
    <systemerror>
      <message>INSERT 语句与 COLUMN FOREIGN KEY 约束 'FK_siteserver_UserPermissionsInUserGroups_UserGroup' 冲突。该冲突发生于数据库 'ssdev'，表 'bairong_UserGroup', column 'UserGroupID'。
语句已终止。</message>
      <stacktrace>   在 System.Data.SqlClient.SqlConnection.OnError(SqlException exception, Boolean breakConnection)
   在 System.Data.SqlClient.SqlInternalConnection.OnError(SqlException exception, Boolean breakConnection)
   在 System.Data.SqlClient.TdsParser.ThrowExceptionAndWarning(TdsParserStateObject stateObj)
   在 System.Data.SqlClient.TdsParser.Run(RunBehavior runBehavior, SqlCommand cmdHandler, SqlDataReader dataStream, BulkCopySimpleResultSet bulkCopyHandler, TdsParserStateObject stateObj)
   在 System.Data.SqlClient.SqlCommand.FinishExecuteReader(SqlDataReader ds, RunBehavior runBehavior, String resetOptionsString)
   在 System.Data.SqlClient.SqlCommand.RunExecuteReaderTds(CommandBehavior cmdBehavior, RunBehavior runBehavior, Boolean returnStream, Boolean async)
   在 System.Data.SqlClient.SqlCommand.RunExecuteReader(CommandBehavior cmdBehavior, RunBehavior runBehavior, Boolean returnStream, String method, DbAsyncResult result)
   在 System.Data.SqlClient.SqlCommand.InternalExecuteNonQuery(DbAsyncResult result, String methodName, Boolean sendToPipe)
   在 System.Data.SqlClient.SqlCommand.ExecuteNonQuery()
   在 BaiRong.Core.Data.Helper.AdoHelper.ExecuteNonQuery(IDbCommand command) 位置 S:\BaiRong Components\BaiRong.Core\Data\Helper\ADOHelper.cs:行号 939
   在 BaiRong.Core.Data.Helper.AdoHelper.ExecuteNonQuery(IDbTransaction transaction, CommandType commandType, String commandText, IDataParameter[] commandParameters) 位置 S:\BaiRong Components\BaiRong.Core\Data\Helper\ADOHelper.cs:行号 1187
   在 BaiRong.Core.Data.Provider.DataProviderBase.ExecuteNonQuery(IDbTransaction trans, String commandText, IDataParameter[] commandParameters) 位置 S:\BaiRong Components\BaiRong.Core\Data\Provider\DataProviderBase.cs:行号 247
   在 SiteServer.Provider.Data.SqlServer.PagePermissionsInUserGroupsDAO.InsertWithTrans(PagePermissionsInUserGroupsInfo info, IDbTransaction trans) 位置 S:\SiteServer\SiteServer.Provider\Data\SqlServer\UserRole\PagePermissionsInUserGroupsDAO.cs:行号 40
   在 SiteServer.Provider.Data.SqlServer.PermissionsDAO.SavePagePermissions(Int32 nodeID, SortedList userGroupIDWithPagePermissions) 位置 S:\SiteServer\SiteServer.Provider\Data\SqlServer\UserRole\PermissionsDAO.cs:行号 161
   在 SiteServer.BackgroundPages.BackgroundChannelEdit.Submit_OnClick(Object sender, EventArgs E) 位置 S:\SiteServer\SiteServer.BackgroundPages\Background\Channel\BackgroundChannelEdit.cs:行号 442</stacktrace>
      <errortime>2009-5-27 10:19:20</errortime>
    </systemerror>
    <systemerror>
      <message>INSERT 语句与 COLUMN FOREIGN KEY 约束 'FK_siteserver_UserPermissionsInUserGroups_UserGroup' 冲突。该冲突发生于数据库 'ssdev'，表 'bairong_UserGroup', column 'UserGroupID'。
语句已终止。</message>
      <stacktrace>   在 System.Data.SqlClient.SqlConnection.OnError(SqlException exception, Boolean breakConnection)
   在 System.Data.SqlClient.SqlInternalConnection.OnError(SqlException exception, Boolean breakConnection)
   在 System.Data.SqlClient.TdsParser.ThrowExceptionAndWarning(TdsParserStateObject stateObj)
   在 System.Data.SqlClient.TdsParser.Run(RunBehavior runBehavior, SqlCommand cmdHandler, SqlDataReader dataStream, BulkCopySimpleResultSet bulkCopyHandler, TdsParserStateObject stateObj)
   在 System.Data.SqlClient.SqlCommand.FinishExecuteReader(SqlDataReader ds, RunBehavior runBehavior, String resetOptionsString)
   在 System.Data.SqlClient.SqlCommand.RunExecuteReaderTds(CommandBehavior cmdBehavior, RunBehavior runBehavior, Boolean returnStream, Boolean async)
   在 System.Data.SqlClient.SqlCommand.RunExecuteReader(CommandBehavior cmdBehavior, RunBehavior runBehavior, Boolean returnStream, String method, DbAsyncResult result)
   在 System.Data.SqlClient.SqlCommand.InternalExecuteNonQuery(DbAsyncResult result, String methodName, Boolean sendToPipe)
   在 System.Data.SqlClient.SqlCommand.ExecuteNonQuery()
   在 BaiRong.Core.Data.Helper.AdoHelper.ExecuteNonQuery(IDbCommand command) 位置 S:\BaiRong Components\BaiRong.Core\Data\Helper\ADOHelper.cs:行号 939
   在 BaiRong.Core.Data.Helper.AdoHelper.ExecuteNonQuery(IDbTransaction transaction, CommandType commandType, String commandText, IDataParameter[] commandParameters) 位置 S:\BaiRong Components\BaiRong.Core\Data\Helper\ADOHelper.cs:行号 1187
   在 BaiRong.Core.Data.Provider.DataProviderBase.ExecuteNonQuery(IDbTransaction trans, String commandText, IDataParameter[] commandParameters) 位置 S:\BaiRong Components\BaiRong.Core\Data\Provider\DataProviderBase.cs:行号 247
   在 SiteServer.Provider.Data.SqlServer.PagePermissionsInUserGroupsDAO.InsertWithTrans(PagePermissionsInUserGroupsInfo info, IDbTransaction trans) 位置 S:\SiteServer\SiteServer.Provider\Data\SqlServer\UserRole\PagePermissionsInUserGroupsDAO.cs:行号 40
   在 SiteServer.Provider.Data.SqlServer.PermissionsDAO.SavePagePermissions(Int32 nodeID, SortedList userGroupIDWithPagePermissions) 位置 S:\SiteServer\SiteServer.Provider\Data\SqlServer\UserRole\PermissionsDAO.cs:行号 161
   在 SiteServer.BackgroundPages.BackgroundChannelEdit.Submit_OnClick(Object sender, EventArgs E) 位置 S:\SiteServer\SiteServer.BackgroundPages\Background\Channel\BackgroundChannelEdit.cs:行号 442</stacktrace>
      <errortime>2009-5-27 10:29:32</errortime>
    </systemerror>
  </systemerrors>
</errors>